class Gssh < Formula
  desc "SSH automation tool based on Groovy DSL"
  homepage "https://github.com/int128/groovy-ssh"
  url "https://github.com/int128/groovy-ssh/archive/refs/tags/2.11.2.tar.gz"
  sha256 "0e078b37fe1ba1a9ca7191e706818e3b423588cac55484dda82dbbd1cdfe0b24"
  license "Apache-2.0"

  depends_on "gradle" => :build
  depends_on "openjdk"

  # gradle 8 build patch, remove in next release
  patch :DATA

  def install
    ENV["CIRCLE_TAG"] = version
    ENV["GROOVY_SSH_VERSION"] = version
    system "gradle", "shadowJar", "--no-daemon"
    libexec.install "cli/build/libs/gssh.jar"
    bin.write_jar_script libexec/"gssh.jar", "gssh"
  end

  test do
    assert_match "groovy-ssh-#{version}", shell_output("#{bin}/gssh --version")
  end
end

__END__
diff --git a/cli/build.gradle b/cli/build.gradle
index 8044c6e..e6c2815 100644
--- a/cli/build.gradle
+++ b/cli/build.gradle
@@ -32,7 +32,7 @@ jar {
 }

 shadowJar {
-    baseName = 'gssh'
-    classifier = ''
-    version = ''
+    archiveBaseName = 'gssh'
+    archiveVersion = ''
+    archiveClassifier = ''
 }
